From 8e2ec05352980ccc5f6020fb0b30608154db65e0 Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Jun 01 2024 15:15:09 +0000
Subject: libre/iceweasel: 126.0.1.parabola1, sync with upstreams


---

diff --git a/libre/iceweasel/.nvchecker.toml b/libre/iceweasel/.nvchecker.toml
new file mode 100644
index 0000000..39e1479
--- /dev/null
+++ b/libre/iceweasel/.nvchecker.toml
@@ -0,0 +1,4 @@
+[firefox]
+source = "jq"
+url = "https://product-details.mozilla.org/1.0/firefox_versions.json"
+filter = ".LATEST_FIREFOX_VERSION"
diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 5f4a873..257bb7c 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -70,10 +70,10 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=125.0.2
+pkgver=126.0.1
 pkgrel=1
 pkgrel+=.parabola1
-_brandingver=123.0
+_brandingver=126.0
 _brandingrel=1
 pkgdesc="Standalone web browser derived from Mozilla Firefox"
 url=https://wiki.parabola.nu/Iceweasel
@@ -85,14 +85,34 @@ license=(
   MPL
 )
 depends=(
+  alsa-lib
+  at-spi2-core
+  bash
+  cairo
   dbus
   ffmpeg
+  fontconfig
+  freetype2
+  gcc-libs
+  gdk-pixbuf2
+  glib2
+  glibc
   gtk3
+  hicolor-icon-theme
   libpulse
+  libx11
+  libxcb
+  libxcomposite
+  libxdamage
+  libxext
+  libxfixes
+  libxrandr
   libxss
   libxt
   mime-types
+  nspr
   nss
+  pango
   ttf-font
 )
 makedepends=(
@@ -133,7 +153,6 @@ optdepends=(
   'hunspell-en_US: Spell checking, American English'
   'libnotify: Notification integration'
   'networkmanager: Location detection via available WiFi networks'
-  'pulseaudio: Audio support'
   'speech-dispatcher: Text-to-Speech'
   'xdg-desktop-portal: Screensharing with Wayland'
 )
@@ -149,6 +168,7 @@ source=(
   https://archive.mozilla.org/pub/firefox/releases/$pkgver/source/firefox-$pkgver.source.tar.xz{,.asc}
   $pkgname.desktop
   identity-icons-brand.svg
+  0001-Bug-1882209-Update-encoding_rs-to-0.8.34-to-deal-wit.patch
 )
 source=(${source[*]/identity-icons-brand.svg/}) # branding over-ride
 source+=(
@@ -177,16 +197,17 @@ validpgpkeys+=(
   '3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40' # bill-auger
 )
 
-sha256sums=('69d0563361bab375407b25430c782346bec7623f3f1005e7dc505351ac69f799'
+sha256sums=('f63026359f678a5d45cea4c7744fcef512abbb58a5b016bbbb1c6ace723a263b'
             'SKIP'
-            '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58') # $pkgname.desktop
-                                                                                # identity-icons-brand.svg
-sha256sums+=('3a365374e3565a8963b000410cdd863d2fe3b4da9f63aa90d4150d1e1822102b'  # *.branding.tar.xz
+            '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58' # $pkgname.desktop
+                                                                               # identity-icons-brand.svg
+            '22c030ef8a047802ae56d20b1c2a6a3830e9a5ac4e5399163a2b57a1c09a20b2')
+sha256sums+=('68a7748b8b8e78024d6c5279d93a9661ced63144503c5b64f0c3d6cf3d613682'  # *.branding.tar.xz
              'SKIP'
-             'c96d4420738e1bd8dcfed07141aeadbfc6d4fbf453a8cc20c121f48342a95ef8'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-             'ec3dd6573379added898fa6833153beaff1c01563b6547f0683680b40e3ebb52'  # 9002-FSDG-preference-defaults.patch
-             '07d6910ddd07f60b803957259e06e3babee6f072f48c6fe31b906a1ea24e3b62'  # 9003-FSDG-urihandlers.patch
-             '9fef95cc7ee0c32a6742740a321c748552312e2f0dd5241a1704bdfaf5a669bd'  # 9004-FSDG-misc.patch
+             '0ef9aee39873fefe170e989f4299d7c5acb48ddcc563fd35f8c9bc5c80b7c872'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+             'c157f5f4d87767e5085708865c6c38976d73d02a1b4c63f7efa80e0df464c5a5'  # 9002-FSDG-preference-defaults.patch
+             '854f1b4bb9ea49580826b021f755293495b4cdfb1c4250e00cdb2fc87cac8d11'  # 9003-FSDG-urihandlers.patch
+             'ff36e5af55f12e3ac14028e6563aedd7fd8ccf95ba3ab28316b73a3d8a7adb3d'  # 9004-FSDG-misc.patch
              'c1d57c2b5b3621b34a4c5e7cc6e83170cfa576965b341c71e750e610440f490c'  # process-json-files.py
              '86bd54db6026ff65bd24ac4f05d0679a645ff447e2f81b0ee44037c0c4285e06') # vendor.js.in
 sha256sums_i686=('62fa060e09b95e92fa81f4ac47c06b03d70c2bbc6cda061d85e965a82730e1c0'  # avoid-libxul-OOM-python-check.patch
@@ -194,16 +215,17 @@ sha256sums_i686=('62fa060e09b95e92fa81f4ac47c06b03d70c2bbc6cda061d85e965a82730e1
                  'ed3bb281697af7c4353a34067ffb4b18a971d40757bef2d6af3c8bf2d28d42d1'  # firefox-111.0.1-fdlibm.patch
                  '2fb39374fd3d80eea9e346032a2a4b2bc2e357dee7380855b24bcf19b1335d06'  # fix-i686-build-moz-1792159.patch
                  'c3ce181fbb0142055aa6dd17f3cda2ba6a1e54d7a689a8c6e9cce76aa40e6544') # fix-i686-xsimd-incomplete.patch
-b2sums=('70d27d0ee0bfdf7156546e8762b608c442bd35ba8f33ad89a6d5544eedef4d59b24db2b1988aab9ca626e9a01898f7b0c00a4c7550f78cba9bb722dd3c6d155e'
+b2sums=('b5d381bbf3ac7d63561dc4c8f8955faeb08fe41e57a05b39585f01054a5348d68d6fc50d9c00d151c211d26ba2d0fb21843868e4cfc1445e4c637ac5756af161'
         'SKIP'
-        'f86353bbba05d8994db34c6abb66094aa61d2c37c8599930dbe9d215413f0f718a1ce55a8f2d07a65074c3947e28fc80d44c925bd9be239a870f82d2a1803635') # $pkgname.desktop
+        'f86353bbba05d8994db34c6abb66094aa61d2c37c8599930dbe9d215413f0f718a1ce55a8f2d07a65074c3947e28fc80d44c925bd9be239a870f82d2a1803635'  # $pkgname.desktop
                                                                                                                                             # identity-icons-brand.svg
-b2sums+=('96ee9ddf3306db08e9d3e6efdae87900e088aedebadb4b703524f2396ebd26e67120298bb6ec7fee2363e9fe4a83395b1a314ef34732b059870cdf161eaecc8b'  # *.branding.tar.xz
+        '6b8b6fe5d658fd76844fc1d9f47b3892bcb5a59a8d10baabf7d52fb4f7c9e8f4858576859390e6d4c542d46cabb335cd06f8c4a80a7d5dde0868b29cd048d308')
+b2sums+=('aa718f500e40bc958568d36d87f7840afce62cd927f81f93b755b720ba91333a9635c2fcf4718be47f2538248f08dc35cba3f07d34814bdc856a3984916b7d87'  # *.branding.tar.xz
          'SKIP'
-         '0295f895af6eff20a0d2e6db2807a25d893d564d50bd6ec27312e3b14846991ec88d6de44caf2c4b120af627822ad12f322a0b6af50b804a33eb88bf857c6a71' # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-         '6ba97308faa7e8818762899806c4194b60fb00a2b9dd71c0c82c52060ae52771fbb3f85b7781e0ab84414771f7f0137957aaea2373df5f5aac3aca50d283e7c8' # 9002-FSDG-preference-defaults.patch
-         'dbb0f9639cbe08bf423faf9e2966b5464a26ab5c6314eea18be0e89edd8ac465bfa04a219821852bdd0801dfed9092999bcca1a982a631035bae9a51408d8dde' # 9003-FSDG-urihandlers.patch
-         'ad01a57ebeab90337656bd3a3d9261d063d698a967d6bba305ea1a61f6bd43fe5dd559c3bae32edfe98797614d40a7842a2667ad61f621ddf21039be2c136e10' # 9004-FSDG-misc.patch
+         '7c7069d7a253f7f91838b71319b4e96fafad8b43f647e40793721110307b71a3b3d31763e15e8cbdcbf3139981adde173f20ac434c7075b9610994c01eddfdd0' # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+         'a882e6449bc22b6988189b56a6975b241104bdf6818916f981019372504acf326a3d6c28e12f7fc1277bc4354f17c64e2bed7a56fd45e718d631e39355b5f80d' # 9002-FSDG-preference-defaults.patch
+         'b02437812548e76ccb0409a97b4f725dc9740090383358d1cefa3ea479f735639d73f3d7efc7c4d31b9bca11d8537122a900b5b31fb044a730a0cc9accdff5d0' # 9003-FSDG-urihandlers.patch
+         'd9bd5da474fdfa3c836ba0cb7c2f127e2a81d4289c9fa821d0d15b876952448fd2ef3e4ec04e247f417c13cf1ea5f32dc60b2b4aca1cf96794f3c6e113097645' # 9004-FSDG-misc.patch
          '74e81a58faa219d6a822caae0212896561ecf8d97f736b9b23c6aec2b6e9dbd284702093ee1c75bd99638d8f86c4755542ae4b0dfa0ce8a25064e3430a6f2135' # process-json-files.py
          'f3f344196d03499f3f0392d5dfc5310e131d8c85772edd340faf1df3f04ebf2931eb1dda1b7fe6870d61d498618f4d8ae9f1dd446acbe83e0ce324e04b38f3f9') # vendor.js.in
 b2sums_i686=('684559d207d33e8b83c70d79ddb8b4d7532f2440895668245856553e02b6c786cf0de776981cdcce2438c7add2d692f4afbc85255949558852bdec9800c59882'  # avoid-libxul-OOM-python-check.patch
@@ -346,6 +368,9 @@ prepare() {
   mkdir mozbuild
   cd firefox-$pkgver
 
+  # Fix build with Rust 1.78.0
+  patch -Np1 -i ../0001-Bug-1882209-Update-encoding_rs-to-0.8.34-to-deal-wit.patch
+
   ## technical patching ##
 
   # Use system python-typing-extensions instead of the old vendored one to avoid
@@ -433,7 +458,7 @@ ac_add_options --with-app-basename=${pkgname}              # branding over-ride
 ac_add_options --with-unsigned-addon-scopes=app,system
 ac_add_options --allow-addon-sideload
 # export MOZILLA_OFFICIAL=1                                # branding over-ride
-export MOZ_APP_REMOTINGNAME=${pkgname//-/}
+export MOZ_APP_REMOTINGNAME=$pkgname
 export MOZ_TELEMETRY_REPORTING=
 export MOZ_REQUIRE_SIGNING=
 
@@ -716,6 +741,10 @@ build() {
   CFLAGS="${CFLAGS/_FORTIFY_SOURCE=3/_FORTIFY_SOURCE=2}"
   CXXFLAGS="${CXXFLAGS/_FORTIFY_SOURCE=3/_FORTIFY_SOURCE=2}"
 
+  # Breaks compilation since https://bugzilla.mozilla.org/show_bug.cgi?id=1896066
+  CFLAGS="${CFLAGS/-fexceptions/}"
+  CXXFLAGS="${CXXFLAGS/-fexceptions/}"
+
   # LTO needs more open files
   ulimit -n 4096
 
@@ -804,7 +833,7 @@ build() {
 ac_add_options --enable-profile-generate=cross
 END
     _check_build_config
-    ./mach build
+    ./mach build --priority normal
 
     echo "Profiling instrumented browser..."
     ./mach package
@@ -820,7 +849,7 @@ END
     test -s jarlog
 
     echo "Removing instrumented browser..."
-    ./mach clobber
+    ./mach clobber objdir
 
     echo "Building optimized browser..."
     cat >.mozconfig ../mozconfig - <<END
@@ -841,7 +870,7 @@ END
 
   (( ! _SKIP_PGO )) ||
   echo "Building optimized browser..."
-  ./mach build
+  ./mach build --priority normal
 }
 
 package() {
@@ -906,7 +935,7 @@ END
     "$pkgdir/usr/share/icons/hicolor/symbolic/apps/$pkgname-symbolic.svg"
 
   install -Dvm644 ../$pkgname.desktop \
-    "$pkgdir/usr/share/applications/${pkgname//-/}.desktop"
+    "$pkgdir/usr/share/applications/$pkgname.desktop"
 
   # Install a wrapper to avoid confusion about binary path
   install -Dvm755 /dev/stdin "$pkgdir/usr/bin/$pkgname" <<END
@@ -947,9 +976,11 @@ END
   local sprovider="$pkgdir/usr/share/gnome-shell/search-providers/$pkgname.search-provider.ini"
   install -Dvm644 /dev/stdin "$sprovider" <<END
 [Shell Search Provider]
-DesktopId=${pkgname//-/}.desktop
-BusName=org.mozilla.${pkgname//-/}.SearchProvider
-ObjectPath=/org/mozilla/${pkgname//-/}/SearchProvider
+DesktopId=$pkgname.desktop
+BusName=org.mozilla.${pkgname//-/_}.SearchProvider
+ObjectPath=/org/mozilla/${pkgname//-/_}/SearchProvider
 Version=2
 END
 }
+
+# vim:set sw=2 sts=-1 et:

